<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{{ channel.name }}</title>
    <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='stylesheets/style.css') }}">
</head>
<body>
<p>The distributed messenger. <a href="{{ url_for('home_page') }}">List of channels.</a> </p>
{% if channel %}
    <h1>Channel {{ channel.name }}</h1>

        {% for message in messages %}
            <h2>{{ message.sender }}</h2>
            <p><pre>{{ message.content }}</pre></p>
            <p style="font-size: 60%">{{ message.timestamp }}</p>
        {% endfor %}
{% else %}
    <h1>Channel not found</h1>
{% endif %}

<form action="post" method="post">
    <input type="hidden" name="channel" value="{{ channel.endpoint | urlencode }}">
    Sender: <input type="text" name="sender" id="sender"> <br>
    Message: <input type="text" name="content" id="content"> <br>
    <input type="submit" value="Post">
</form>

</body>
</html>